%define ver      	0.9.8
%define rel      	1mdk
%define buildroot	/var/tmp/imwheel-root
%define prefix 		/usr/X11R6

Summary: A utility to make wheel mice work under X
Name: imwheel
Version: %{ver}
Release: %{rel}
Copyright: GPL
Prefix: %{prefix}
Group: System/Kernel and hardware
Source: %{name}-%{ver}.tar.bz2
Source1: wheel.pl.bz2
Source2: imwheelrc.bz2
Source3: imwheel.xinit
Patch0: imwheel-0.9.6-etc_X11.patch.bz2
# (fg) 20000412: Patch to fix root exploit using imwheel-solo, credits go to
# Sebastien Bricout <seb@tuxfinder.com> for raising it.
Patch1: imwheel-rootexploit-fix.patch.bz2
BuildRoot: %{buildroot}
URL: http://jcatki.dhs.org/imwheel/

%description 
This is imwheel, it's a program to use that good ole
Microsoft IntelliMouse Wheel under X11 on Linux.

It can be used both with XFree86 and with closed-source
commercial X-servers (for example those made by MetroLink
or Xi Graphics).

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

%setup
%patch0 -p1 
%patch1 -p1 

%build
%configure --prefix=%{prefix}

rm -f gpm-imwheel
CFLAGS=$RPM_OPT_FLAGS make 

%install
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin $RPM_BUILD_ROOT%{prefix}/man/man1 $RPM_BUILD_ROOT%{prefix}/etc
# imwheel proper
/usr/bin/install -c -d -m 0755 $RPM_BUILD_ROOT%{prefix}/bin
/usr/bin/install -c -m 0755 imwheel $RPM_BUILD_ROOT%{prefix}/bin/imwheel

# the manpage
/usr/bin/install -c -d -m 0755 $RPM_BUILD_ROOT%{prefix}/man/man1
/usr/bin/install -c -m 0644 imwheel.1 $RPM_BUILD_ROOT%{prefix}/man/man1/imwheel.1x

# the default configuration
/usr/bin/install -c -d -m 0755 $RPM_BUILD_ROOT/etc/X11
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/etc/X11/imwheelrc

# the suid helper program
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{prefix}/bin/imwheel-solo

mkdir $RPM_BUILD_ROOT/etc/X11/xinit.d
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/etc/X11/xinit.d/imwheel

%files
%defattr(-,root,root,755)
%config /etc/X11/imwheelrc
%config /etc/X11/xinit.d/imwheel
%{prefix}/bin/imwheel
%attr(4755, root, root) %{prefix}/bin/imwheel-solo
%{prefix}/man/man1/*

%doc BUGS ChangeLog COPYING README.Mandrake README EMACS

%post
 
%postun

%changelog

* Wed Apr 12 2000 Francis Galiegue <fg@mandrakesoft.com> 0.9.8-1mdk

- 0.9.8
- Removed sticky bit (huh?) for imwheel binary
- Let spec-helper do its job
- %files list fixes
- Fixed root exploit - thanks to Sebastien Bricout <seb@tuxfinder.com> for
  raising the bug.
  
* Tue Apr 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.6-10mdk
- launch imwheel from /etc/X11/xinit.d

* Mon Apr 10 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.6-9mdk
- updated URL.
- fixed group.

* Thu Mar 09 2000 Francis Galiegue <francis@mandrakesoft.com> 0.9.6-8mdk
- Minor changes to imwheelrc

* Mon Jan 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.6-7mdk
- fix build as non root.

* Mon Aug 09 1999 Peter Putzer <pputzer@linux-mandrake.com>
- fixed Vendor tag
- bzip2'ed wheel.pl & imwheelrc
- don't compile gpm-imwheel anymore, it's useless
- moved configuration file from /etc/imwheelrc to /etc/X11/imwheelrc

* Sun Aug 08 1999 Peter Putzer <pputzer@linux-mandrake.com>
- made relocatable

* Sat Aug 07 1999 Peter Putzer <pputzer@linux-mandrake.com>
- fixed some typos/mis-spellings in the spec-file
- removed the %post-install script, this can be done more
  easily by patching /etc/X11/xdm/Xsession!
- added adapted /etc/imwheelrc (to work with XEmacs and konsole)
- bzip2'ed the manpage
- moved manpage to /usr/X11R6/man/man1

* Thu Aug 05 1999 Peter Putzer <pputzer@linux-mandrake.com>
- rebuilt for Mandrake 6.0 (I'm the offical maintainer of this
  package now) 
- small fix in %post script (in case some line in Xsession is
  commented out)
- bzip2'ed the source

* Thu Jul 01 1999 Peter Putzer <putzer@kde.org>
- suidperl script for always managing pidfiles

* Sun May 02 1999 Peter Putzer <putzer@kde.org>
- fixed group fro Red Hat 6.0
- added RPM_OPT_FLAGS
- imwheel installed suid root
 
* Wed Apr 27 1999 Sean P. Kane <kane@ca.metsci.com>
- Fixed changelog so that this spec file works. 
- Therefore the entries below here may be a bit inaccurate.

* Sat Apr 10 1999 Nick Koston <bdraco@darkorb.net>
- Added the man page
- Added the support programs programs
- Packaged 0.9.6
- Removed gpm since it conflicts with the gpm package
- Changed path names to be more like redhat
